Bug 54576 - View Results Tree : Add a CSS/JQuery Tester
View Results Tree : Add a CSS/JQuery Tester
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.9
All All
: P2 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2013-02-18 20:53 UTC by Philippe Mouawad
Modified: 2013-07-24 08:05 UTC (History)
1 user (show)



Attachments
Screenshot (126.20 KB, image/png)
2013-02-18 22:34 UTC, Philippe Mouawad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Mouawad 2013-02-18 20:53:17 UTC
Useful when working with CSS/Jquery selector
Comment 1 Philippe Mouawad 2013-02-18 21:18:18 UTC
Date: Mon Feb 18 21:13:37 2013
New Revision: 1447503

URL: http://svn.apache.org/r1447503
Log:
Bug 54576 - View Results Tree : Add a CSS/JQuery Tester
Bugzilla Id: 54576

Added:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RenderAsCssJQuery.java   (with props)
Modified:
    jmeter/trunk/src/components/org/apache/jmeter/extractor/HtmlExtractor.java
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
    jmeter/trunk/xdocs/changes.xml


Date: Mon Feb 18 21:14:56 2013
New Revision: 1447504

URL: http://svn.apache.org/r1447504
Log:
Bug 54576 - View Results Tree : Add a CSS/JQuery Tester
eol
Bugzilla Id: 54576

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RenderAsCssJQuery.java   (props changed)


Date: Mon Feb 18 21:17:35 2013
New Revision: 1447506

URL: http://svn.apache.org/r1447506
Log:
Bug 54576 - View Results Tree : Add a CSS/JQuery Tester
Add missing label
Bugzilla Id: 54576

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
Comment 2 Philippe Mouawad 2013-02-18 21:55:20 UTC
Date: Mon Feb 18 21:54:38 2013
New Revision: 1447514

URL: http://svn.apache.org/r1447514
Log:
Bug 54576 - View Results Tree : Add a CSS/JQuery Tester
Improve layout
Bugzilla Id: 54576

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RenderAsCssJQuery.java
Comment 3 Philippe Mouawad 2013-02-18 22:34:58 UTC
Created attachment 29963 [details]
Screenshot
Comment 4 Philippe Mouawad 2013-02-24 08:45:41 UTC
There is still a rendering issue of the panel.
From time to time, only one inout remains visible
Comment 5 Philippe Mouawad 2013-02-24 13:53:35 UTC
Date: Sun Feb 24 13:49:26 2013
New Revision: 1449477

URL: http://svn.apache.org/r1449477
Log:
Bug 54576 - View Results Tree : Add a CSS/JQuery Tester
Fixed only one input appearing in some cases
Bugzilla Id: 54576

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RenderAsCssJQuery.java
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
Comment 6 Milamber 2013-07-21 23:33:29 UTC

In component_reference.xml, the View Results Tree section needs an update in Renderer Table to add the description on this new render.

(and perhaps, some simple samples)
Comment 7 Milamber 2013-07-24 08:05:47 UTC
Thanks Philippe.

URL: http://svn.apache.org/r1506279
Log:
Update changes (prepare next release). 
Complete View Results Tree for CSS/JQuery Tester

Modified:
    jmeter/trunk/xdocs/usermanual/component_reference.xml